Package org.apache.activemq.artemis.uri.schema.serverLocator

## Class UDPServerLocatorSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,​java.lang.String>
  - - org.apache.activemq.artemis.uri.schema.serverLocator.AbstractServerLocatorSchema
    - - org.apache.activemq.artemis.uri.schema.serverLocator.UDPServerLocatorSchema

-     public class UDPServerLocatorSchema
      extends AbstractServerLocatorSchema

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `IGNORED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UDPServerLocatorSchema()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DiscoveryGroupConfiguration` | `getDiscoveryGroupConfiguration​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String host, int port, java.lang.String name)` |
    `java.lang.String` | `getSchemaName()` |
    `protected ServerLocator` | `internalNewObject​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String name)` |
    `protected java.net.URI` | `internalNewURI​(ServerLocator bean)` |

    - ### Methods inherited from class org.apache.activemq.artemis.uri.schema.serverLocator.AbstractServerLocatorSchema

      `newConnectionOptions`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IGNORED

          public static java.util.List<java.lang.String> IGNORED

  - ### Constructor Detail

    - #### UDPServerLocatorSchema

          public UDPServerLocatorSchema()

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,​java.lang.String>`

    - #### internalNewObject

          protected ServerLocator internalNewObject​(java.net.URI uri,
                                                    java.util.Map<java.lang.String,​java.lang.String> query,
                                                    java.lang.String name)
                                             throws java.lang.Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### internalNewURI

          protected java.net.URI internalNewURI​(ServerLocator bean)
                                         throws java.lang.Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### getDiscoveryGroupConfiguration

          public static DiscoveryGroupConfiguration getDiscoveryGroupConfiguration​(java.net.URI uri,
                                                                                   java.util.Map<java.lang.String,​java.lang.String> query,
                                                                                   java.lang.String host,
                                                                                   int port,
                                                                                   java.lang.String name)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`